#version 460 core
layout (location = 0) in vec3 aPos;
layout (location = 1) in vec3 aNormal;
layout (location = 2) in vec2 aTex;

uniform mat4 projection;
uniform mat4 view;
uniform mat4 model;

// Outputs the current position for the Fragment Shader
out vec3 crntPos;
// Outputs the normal for the Fragment Shader
out vec3 Normal;
// Outputs the texture coordinates to the Fragment Shader
out vec2 texCoord;

void main()
{    

    // calculates current position
	crntPos = vec3(model * vec4(aPos, 1.0f));

	// Assigns the normal from the Vertex Data to "Normal"
	Normal = aNormal;

	// Assigns the texture coordinates from the Vertex Data to "texCoord"
	texCoord = aTex;

    gl_Position = projection * view * model * vec4(aPos, 1.0);
}